liborigin2: Origin::SpreadColumn Struct Reference

liborigin2 29/08/2011

Public Types | Public Member Functions | Public Attributes | List of all members
Origin::SpreadColumn Struct Reference

`#include <OriginObj.h>`

## Public Types
enum | ColumnType { X, Y, Z, XErr, YErr, Label, NONE }

## Public Member Functions
| SpreadColumn (const string &_name="", unsigned int _index=0)

## Public Attributes
unsigned int | colIndex
string | command
string | comment
vector< variant > | data
int | decimalPlaces
unsigned int | index
string | name
NumericDisplayType | numericDisplayType
unsigned int | sheet
int | significantDigits
ColumnType | type
ValueType | valueType
int | valueTypeSpecification
int | width

## Member Enumeration Documentation

## ◆ ColumnType

enum Origin::SpreadColumn::ColumnType

Enumerator
X |
Y |
Z |
XErr |
YErr |
Label |
NONE |

## Constructor & Destructor Documentation

## ◆ SpreadColumn()

Origin::SpreadColumn::SpreadColumn | ( | const string & | _name = `""`,
|  | unsigned int | _index = `0`
| ) |  |
| inline

## Member Data Documentation

## ◆ colIndex

unsigned int Origin::SpreadColumn::colIndex

## ◆ command

string Origin::SpreadColumn::command

## ◆ comment

string Origin::SpreadColumn::comment

## ◆ data

vector<variant> Origin::SpreadColumn::data

## ◆ decimalPlaces

int Origin::SpreadColumn::decimalPlaces

## ◆ index

unsigned int Origin::SpreadColumn::index

## ◆ name

string Origin::SpreadColumn::name

## ◆ numericDisplayType

NumericDisplayType Origin::SpreadColumn::numericDisplayType

## ◆ sheet

unsigned int Origin::SpreadColumn::sheet

## ◆ significantDigits

int Origin::SpreadColumn::significantDigits

## ◆ type

ColumnType Origin::SpreadColumn::type

## ◆ valueType

ValueType Origin::SpreadColumn::valueType

## ◆ valueTypeSpecification

int Origin::SpreadColumn::valueTypeSpecification

## ◆ width

int Origin::SpreadColumn::width

The documentation for this struct was generated from the following file:

- /build/liborigin2/src/liborigin2/OriginObj.h